N=1024;

w=1:N/2;
z=exp(-i*2*pi*w/N);

load flextransm_mod_S3M3A1

num1=polyval(B,z);
den1=polyval(A,z);
mag1=abs(num1)./abs(den1);
mag1=20*log10(mag1);

load flextransm_mod_fcloe

num2=polyval(B,z);
den2=polyval(A,z);
mag2=abs(num2)./abs(den2);
mag2=20*log10(mag2);

w=(w/N);

plot(w,mag1,'k','linewidth',2)
hold on
plot(w,mag2,'k-.','linewidth',2)
title('Flexible Transmission : Models Magnitude Bode Diagrams','FontSize',12,'FontWeight','Bold')
legend('Open loop identified model','Closed loop identified model',1)
set(gca,'XTick',[0.05 0.1 0.15 0.2 0.25 0.30 0.35 0.40 0.45 0.5])
set(gca,'XTickLabel',{'0.05', '0.10', '0.15', '0.20', '0.25', '0.30', '0.35', '0.40','0.45', '0.5'})
ylabel('Magnitude (dB)','FontSize',12,'FontWeight','Bold');
xlabel('Frequency (f/f_{s})','FontSize',12,'FontWeight','Bold');
grid on